Bug 1125968 - [abrt] 'dnf builddep' throws backtrace on missing signature
Summary: [abrt] 'dnf builddep' throws backtrace on missing signature
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 13:22 UTC by Benedikt Morbach
Modified: 2014-09-19 09:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 09:20:16 UTC


Attachments (Terms of Use)

Description Benedikt Morbach 2014-08-01 13:22:28 UTC
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 200, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 83, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1171, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/builddep.py", line 52, in inner
    return func(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/builddep.py", line 110, in run
    self._src_deps(rpm_ts, fn)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/builddep.py", line 75, in _src_deps
    h = rpm_ts.hdrFromFdno(fd)
  File "/usr/lib64/python2.7/site-packages/rpm/transaction.py", line 156, in hdrFromFdno
    raise rpm.error("public key not available")
_rpm.error: public key not available


I think it should set
    ts._vsflags = rpm._RPMVSF_NOSIGNATURES
to read the srpm, as it doesn't install anything.
(assuming that is the correct way to set that flag, the underscore looks dodgy)

I may be missing some security implications here though?

Comment 1 Honza Silhan 2014-08-22 13:02:56 UTC
Hi, thanks for the report. We'll take a look. I think you are right with the missing flag.

Comment 3 Ales Kozumplik 2014-09-19 09:20:16 UTC
Closing this---we were not able to extract more information about reproducing this from Benedikt.


Note You need to log in before you can comment on or make changes to this bug.